# Return cPanel account's domains

This function lists the cPanel account's domains.

Note:

For this function to succeed, the /var/cpanel/userdata/username/main file (where username represents the authenticated user) must possess the correct permissions. If a permissions error occurs, this function returns blank values for all of its returns and does not return an error message.

Endpoint: GET /DomainInfo/list_domains
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `hide_temporary_domains` (integer)
    Whether to hide temporary domains from the response arrays.

* 1 — Hide temporary domains from the addon_domains, sub_domains, and parked_domains arrays, and from the main_domain field.
* 0 — Return all domains, including the temporary domains.
    Enum: 1, 0

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_domains"

  - `module` (string)
    The name of the module called.
    Example: "DomainInfo"

  - `result` (object)

  - `result.data` (object)

  - `result.data.addon_domains` (array)
    An array of string values that lists the addon domains on the cPanel account.
    Example: ["addondomain.com"]

  - `result.data.main_domain` (string,null)
    The cPanel account's main domain.
    Example: "example.com"

  - `result.data.parked_domains` (array)
    An array of string values that lists the parked domains on the cPanel account.
    Example: ["parkeddomain.com"]

  - `result.data.sub_domains` (array)
    An array of string values that lists the subdomains on the cPanel account.
    Example: ["subdomain.example.com"]

  - `result.data.is_temporary` (object)
    Whether the domain is a temporary domain.

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


